PRINT "ED's MUZZLE OFFSET PROGRAM!!!!"
PRINT
INPUT "SILLY X CENTER ", xc
INPUT "SILLY Z CENTER ", zc
INPUT "SILLY X MUZZLE ", xm
INPUT "SILLY Z MUZZLE ", zm

dx = xm - xc
dz = zm - zc

IF dz = 0 THEN ang = 90 ELSE ang = ATN(dx / dz)

ang = ang * 180 / 3.141592654#

IF dx < 0 AND dz > 0 THEN ang = 180 + ang
IF dx < 0 AND dz < 0 THEN ang = ang + 180
IF dx > 0 AND dz < 0 THEN ang = 360 + ang

dist = SQR(dx * dx + dz * dz)

PRINT "ANGLE "; ang; "    DIST "; dist



